﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using EnglishTranslate.settingForms;
using EnglishTranslate.UtilClass;

namespace EnglishTranslate
{
    public partial class Settings : Form
    {
        
        // 子窗体
        private Form currentChildForm;
        public Settings()
        {
            InitializeComponent();
        }
             
        private void Button1_Click(object sender, EventArgs e)
        {
            OpenChildForm(new ApiAccountFrom());
        }

        //打开子窗体
        private void OpenChildForm(Form childForm)
        {
            if (currentChildForm != null)
            {
                //只打开一个窗体
                currentChildForm.Close();
            }
            // 实例化子窗体
            currentChildForm = childForm;
            childForm.TopLevel = false;
            childForm.FormBorderStyle = FormBorderStyle.None;
            childForm.Dock = DockStyle.Fill;
            // 向panelDesktop 控件集合中添加 子窗体
            panelDesktop.Controls.Add(childForm);
            panelDesktop.Tag = childForm;
            childForm.BringToFront();
            childForm.Show();
            //lblTltleChildForm.Text = childForm.Text;
        }

        private void PictureBox1_Click(object sender, EventArgs e)
        {
            if (currentChildForm != null)
            {
                currentChildForm.Close();
            }
        }

        #region 窗体拖动
        //拖动的形式
        [DllImport("user32.DLL", EntryPoint = "ReleaseCapture")]
        private extern static void ReleaseCapture();

        [DllImport("user32.DLL", EntryPoint = "SendMessage")]
        private extern static void SendMessage(System.IntPtr hWnd, int wMsg, int wParam, int lParam);
        // 鼠标点中此区域可以拖动
        private void PanelTop_MouseDown(object sender, MouseEventArgs e)
        {
            ReleaseCapture();
            SendMessage(this.Handle, 0x112, 0xf012, 0);
        }
        #endregion

        private void Label1_MouseDown(object sender, MouseEventArgs e)
        {
            ReleaseCapture();
            SendMessage(this.Handle, 0x112, 0xf012, 0);
        }

        private void Button5_Click(object sender, EventArgs e)
        {
           
            this.Close();
        }

        private void BtnQuit_MouseMove(object sender, MouseEventArgs e)
        {
            this.btnQuit.BackColor = Color.Red;
        }

        private void BtnQuit_MouseLeave(object sender, EventArgs e)
        {
            this.btnQuit.BackColor = Color.FromArgb(10, 19, 26);
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            OpenChildForm(new OCRKeyFrom());
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            OpenChildForm(new OcrSelectLanguageType());
        }

        private void Settings_Load(object sender, EventArgs e)
        {
            this.richtextDayWord.Text = UtilClass.DayReaderTxt.ReaderTxt(UtilFinalPath.DayWordPath);                   
        }

        private void BtnTranslate_Click(object sender, EventArgs e)
        {
            this.richtextDayWord.Text = UtilClass.DayReaderTxt.ReaderTxt(UtilFinalPath.DayWordPath);
        }


        private void RichtextDayWord_MouseMove_1(object sender, MouseEventArgs e)
        {
            if (!richtextDayWord.ClientRectangle.Contains(e.Location))
            {
                richtextDayWord.Capture = false;
            }
            else if (!richtextDayWord.Capture)
                richtextDayWord.Capture = true;
        }
        
    }
}
